import { WornHat, WornHatEffect } from "../worn_hat";
class SombreroHat extends WornHatEffect {
    constructor() {
        super(...arguments);
        this.hatTypeId = "ldz_crcomp:hat_sombrero";
        this.effectData = [
            { type: "fire_resistance", amplifier: 0 },
        ];
    }
}
WornHat.HatTable["ldz_crcomp:hat_sombrero"] = SombreroHat;
